Check Credit Balance
curl --request GET \
--url https://gateway.deepmako.com/credits/balance \
--header 'Authorization: Bearer <token>' \
--header 'x-wallet-address: <api-key>'import requests
url = "https://gateway.deepmako.com/credits/balance"
headers = {
"x-wallet-address": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-wallet-address': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://gateway.deepmako.com/credits/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "0x0000000000000000000000000000000000000001",
"credits": 4950,
"total_deposited": 5000,
"total_spent": 50
}Endpoints
Check Credit Balance
Returns the credit balance for the authenticated wallet.
GET
/
credits
/
balance
Check Credit Balance
Authorizations
Your EVM wallet address for authentication and credit tracking.
API key obtained from the gateway. Not required in free mode.
Headers
Your EVM wallet address.
Example:
"0x0000000000000000000000000000000000000001"
⌘I